| The Gaudi Framework v28r2-patches (bc4ad17a)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
IDetDataSvc Class Referenceabstract

More...

`#include <GaudiKernel/IDetDataSvc.h>`

Inheritance diagram for IDetDataSvc:
[legend]
Collaboration diagram for IDetDataSvc:
[legend]

## Public Member Functions
| DeclareInterfaceID (IDetDataSvc, 2, 0)
| InterfaceID. More...
virtual bool | validEventTime () const =0
| Check if the event time has been set. More...
virtual const Gaudi::Time & | eventTime () const =0
| Get the event time. More...
virtual void | setEventTime (const Gaudi::Time &)=0
| Set the event time. More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Public Types inherited from IInterface
enum | Status { SUCCESS = 1, NO_INTERFACE, VERSMISMATCH, LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

Abstract interface for a DataSvc manipulating condition data (i.e. DataObjects implementing IValidity).

Author
  Andrea Valassi

Date
  August 2001

Definition at line 20 of file IDetDataSvc.h.

## Member Function Documentation

IDetDataSvc::DeclareInterfaceID | ( | IDetDataSvc | ,
|  | 2 | ,
|  | 0 |
| ) |  |

InterfaceID.

virtual const Gaudi::Time& IDetDataSvc::eventTime | ( |  | ) | const
| pure virtual

Get the event time.

virtual void IDetDataSvc::setEventTime | ( | const Gaudi::Time & |  | ) |
| pure virtual

Set the event time.

virtual bool IDetDataSvc::validEventTime | ( |  | ) | const
| pure virtual

Check if the event time has been set.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IDetDataSvc.h